* {
  -webkit-appearance: none;
}
html {
  scroll-behavior: smooth;
}
body {
  background: #fff;
  backdrop-filter: none;
}
#topbutton {
  /* ▼ボタンの表示位置を画面の右下に固定 */
  position: fixed; /* ←表示場所を固定 */
  bottom: 10px; /* ←下端からの距離 */
  right: 30px; /* ←右端からの距離 */

  /* ▼最初は非表示にしておく */
  /* display: none; */

  /* ▼配色・配置・文字の装飾など */
  background-color: #2525aa; /* ←背景色 */

  border-radius: 24px; /* ←角丸の半径 */
  text-align: center; /* ←文字の位置 */
  font-size: 110%; /* ←文字サイズ */
  font-weight: bold; /* ←文字の太さ */
  margin: 0px; /* ←外側の余白 */
  padding: 10px; /* ←内側の余白 */
  z-index: 10000;
  opacity: 0;
}
#topbutton a {
  /* ▼リンクの装飾 */
  color: white; /* ←文字色 */
  text-decoration: none; /* ←下線なし */
}
#topbutton a:hover {
  /* ▼マウスが載ったときの装飾 */
  color: yellow; /* ←文字色 */
  text-decoration: underline; /* ←下線あり */
}

.container {
  display: grid;
  grid-template:
    "main aside" 1fr
    /68% 32%;
  max-width: 1300px;
  margin: 0 auto;
  width: 100%;
}

.ch {
  font-family: "Segoe UI", SegoeUI, "Microsoft YaHei", 微软雅黑,
    "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-weight: bold;
}
ol .ch {
  color: #777;
}
main .section {
  display: block;
  margin: 20px;
  padding: 10px;
  background: rgba(255, 255, 255, 0.63);
  border-radius: 10px;
}
table {
  width: 100%;
  margin: 30px 5px;
}
td {
  text-align: center;
  color: #333;
  font-size: 1em;
}
td a {
  text-decoration: none;
  color: #333;
  font-weight: bold;
}
td a:hover {
  color: red;
}
h1 {
  text-align: center;
  width: 90%;
  border-radius: 10px;
  background: rgba(255, 255, 255, 0.63);
  margin: auto;
  text-shadow: 5px 5px 5px #fff;
}

main .content {
  display: block;
  background: rgba(255, 255, 255, 0.63);
  width: 90%;
  margin: 30px auto;
  padding: 10px;
  position: relative;
  border-radius: 5px;
}
main .content {
  opacity: 0;
  transition: all 0.5s ease-in-out;
  transform: translateY(-100px);
}
main .content.show {
  opacity: 1;
  transform: none;
}

.content p {
  font-size: 1em;
  margin: 10px;
}
main h2 {
  background: rgb(2, 2, 197);
  color: #fff;
  font-weight: bold;
  border-radius: 5px;
  padding: 5px 20px;
  margin: 0 auto 30px auto;
  text-shadow: 2px 2px 5px #fff;
  font-size: 2em;
  text-align: center;
}
.red {
  color: red;
  font-weight: bold;
  font-size: 1.2em;
}
.green {
  color: green;
  font-weight: bold;
  font-size: 1.2em;
}
.blue {
  color: blue;
  font-weight: bold;
  font-size: 1.2em;
}
.black {
  color: #333;
  font-weight: bold;
  font-size: 1.2em;
}
.orange {
  color: orange;
  font-weight: bold;
  font-size: 1.2em;
}
.yellow {
  color: orange;
  font-weight: bold;
  font-size: 1.2em;
}
.purple {
  color: purple;
  font-weight: bold;
  font-size: 1.2em;
}
.gray {
  color: rgb(131, 131, 131);
  font-weight: bold;
}
.pink {
  /* border-top-left-radius: 50px;
  border-top-right-radius: 50px;
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px; */
  border-radius: 20px 20px 5px 5px;
  background: linear-gradient(transparent 0%, #ff66ff8f 100%);
}
.shadow {
  text-shadow: 3px 3px 3px rgb(209, 209, 209);
  font-size: 1.3em;
}
.para {
  background: rgba(255, 255, 255, 0.253);
  padding: 10px;
  border-radius: 3px;
  margin: 50px 0;
  font-size: 1.2em;
}
.main .para p {
  margin: 10px;
  line-height: 1.5em;
}
.sen {
  border-top: 1px dotted #333;
  width: 100%;
  margin: 70px 0;
}
#index {
  background: rgba(255, 255, 255, 0.815);
  border-radius: 20px;
  width: 90%;
  margin: 30px auto;
  padding: 30px 20px;
  border: 2px dotted blue;
}
#index ol,
section ol {
  position: relative;
  counter-reset: number-ol; /*ポイント*/
  padding: 5px;
  margin: 0 auto;
}
#index ol a {
  text-decoration: none;
}

#index ol a li {
  font-size: 1.2em;
  margin: 10px;
}
#index ol a li::before {
  background: orange;
}
section ol {
  width: 95%;
}
ol li {
  position: relative;
  list-style: none;
  padding-left: 30px;
  font-weight: bold;
  font-size: 1.1em;
}
ol p,
.content ol p {
  margin: 5px 0 20px 50px;
}
ol li:last-of-type {
  margin-bottom: 0;
}
ol > li:before,
#index ol a > li::before {
  position: absolute;
  counter-increment: number-ol; /*ポイント*/
  content: counter(number-ol); /*ポイント*/
  background: #777;
  color: #fff;
  border-radius: 50%;
  left: -15px;
  width: 1.2em;
  height: 1.2em;
  padding-bottom: 1px;
  text-align: center;
  text-indent: 0;
}
#index ol a li::before {
  background: orange;
}
.explain,
.box {
  counter-reset: item;
  padding-left: 20px;
}
.box {
  background: #caddde;
  padding: 15px;
  border-radius: 8px;
}
.explain {
  position: relative;
  padding: 20px;
  padding-left: 30px;
}
.box li.kajo::before,
.explain .kajo::before {
  counter-increment: item; /*ポイント*/
  content: counter(item) ")"; /*ポイント*/
  background: inherit;
  color: #333;
  left: 5px;
}
.explain .kajo::before {
  position: absolute;
  font-weight: bold;
  left: 25px;
}
main .ex {
  padding: 0;
}
.ex h3 {
  background: rgb(2, 2, 197);
  color: #fff;
  font-weight: bold;
  border-radius: 5px;
  padding: 5px 20px;
  margin: 30px auto 30px auto;
  text-shadow: none;
  font-size: 1.3em;
  text-align: center;
}
.ex h4 {
  font-size: 1.3em;
  border-left: 5px blue solid;
  margin: 50px;
  padding-left: 20px;
}
.chEx {
  width: 80%;
  background: rgb(123, 171, 253);
  color: #fff;
  border-radius: 10px;
  /* margin: 0 auto; */
  padding: 10px;
  line-height: 30px;
  letter-spacing: 0.1rem;
  text-shadow: 0.5px 0.5px 1px #333;
}
.chEx p {
  text-indent: 2rem;
}

.circle {
  width: 95%;
  background: rgb(255, 225, 225);
  border: rgb(255, 85, 85) solid 2px;
  border-radius: 5px;
  margin: 50px auto;
  padding: 1em;
  position: relative;
  display: flex;
  flex-direction: column;
}
.circle > img {
  position: absolute;
  width: 80px;
  top: -10px;
  left: -10px;
  box-shadow: none;
}
.circle p {
  margin: 5px 20px;
  padding-left: 50px;
}
.circle p::before {
  font-family: FontAwesome;
  content: "\f058";
  color: orange;
  position: absolute;
  line-height: 25px;
  left: 50px;
}
.grammar-container {
  display: flex;
  flex-wrap: wrap;
  width: 95%;
  margin: 50px auto;
}
.grammar-box {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  width: 150px;
  height: 100px;
  background: #fff;
  color: blue;
  margin: 5px;
  border: 3px solid blue;
  border-radius: 10px;
  transition: all 0.3s ease-in-out;
}
.grammar-box p:first-of-type {
  font-size: 1.5em;
  font-weight: bold;
}
.grammar-box p {
  margin: 3px;
}
.grammar-container a {
  text-decoration: none;
}
.grammar-box:hover {
  background: blue;
  color: #fff;
}

details {
  height: 10px;
  margin-bottom: 100px;
  transition: all 0.5s ease;
}
summary {
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;
  height: 40px;
  padding-top: 5px;
  padding-left: 30px;
  color: transparent;
  text-shadow: 1px 1px 1px black;
  font-size: 1.5em;
  font-weight: bold;
  transition: all 0.3s ease;
  cursor: pointer;
}
summary span {
  color: #fff;
}
details summary {
  background: rgb(255, 157, 0);
}
details summary:hover {
  background: rgb(165, 102, 0);
}

summary::after {
  content: "+";
  position: absolute;
  right: 20px;
  transition: all 0.3s ease;
}
details[open] summary::after {
  transform: rotate(45deg);
}
details[open] {
  height: 300px;
}
details[open] .chEx {
  overflow: auto;
  animation: ani 1s;
}

.content-table {
  border-collapse: collapse;
  margin: 25px auto;
  font-size: 1.2rem;
  border-radius: 5px 5px 0 0;
  overflow: hidden;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
}
.content-table thead tr {
  background: #005498;
  color: #ffffff;
  text-align: center;
  font-weight: bold;
}
.content-table th,
.content-table td {
  padding: 12px 15px;
  background: none;
  font-size: 1rem;
}
.content-table tbody tr {
  border-bottom: 1px solid #dddddd;
  transition: 0.8s all ease;
}
.content-table tbody tr:nth-of-type(even) {
  background: #f3f3f3;
}
.content-table tbody tr:last-of-type {
  border-bottom: 2px solid #005498;
}
.content-table tbody tr:hover {
  font-weight: bold;
  color: #005498;
}

@keyframes ani {
  0% {
    opacity: 0;
    transform: translateY(-20px);
  }
  100% {
    opacity: 1;
    transform: none;
  }
}
@media (max-width: 970px) {
  .container {
    display: grid;
    grid-template:
      "main"
      "aside";
  }
}

@media (max-width: 480px) {
  #index {
    padding: 5px;
  }
  #index ol a li {
    font-size: 1.1em;
    text-indent: 0;
    margin: 5px 0;
  }
  main .content {
    width: 97%;
  }
  main h2 {
    padding: 5px;
    font-size: 22px;
  }
  ol > li:before,
  #index ol a > li::before {
    left: 0;
  }
  section ol li {
    text-indent: 0;
  }
  .ex h4 {
    margin: 20px;
  }
  .chEx {
    width: 99%;
  }
  .content-table thead {
    display: none;
  }
  .content-table tbody tr {
    border: 1px solid #333;
  }
  .content-table td {
    position: relative;
  }
  .content-table tbody td::before {
    background: blue;
    color: #fff;
    position: absolute;
    top: 0;
    left: 0;
    width: 100px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-top: 1px dotted #fff;
  }
  .content-table tbody tr:nth-of-type(even) {
    background: #fff;
  }
  .content-table tbody td:nth-of-type(even) {
    background: #f3f3f3;
  }
  .content-table td {
    display: block;
  }
}
